classification
Title: ElementInclude may drop text
Type: behavior Stage: resolved
Components: Library (Lib), XML Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: flox Nosy List: Neil Muller, effbot, flox, hodgestar, jerith, russell
Priority: normal Keywords: patch

Created on 2009-06-07 14:21 by Neil Muller, last changed 2010-08-08 23:10 by flox. This issue is now closed.

Files
File name Uploaded Description Edit
ElementInclude.diff Neil Muller, 2009-06-07 14:21 Fix & test case
ElementInclude_py3k.diff Neil Muller, 2009-06-07 20:17 py3k version
ElementInclude_py3k.diff Neil Muller, 2010-03-25 14:40 Updated py3k patch.
ElementInclude.diff Neil Muller, 2010-03-25 14:41 Updated patch against trunk
Messages (6)
msg89037 - (view) Author: Neil Muller (Neil Muller) Date: 2009-06-07 14:21
In some cases, ElementInclude will not include the tail from the current
node.

Test case and patch against trunk attached (from Simon Cross).
msg89054 - (view) Author: Neil Muller (Neil Muller) Date: 2009-06-07 20:17
Same issue affects python 3k. Modified patch (print statement needed
changing) added
msg101702 - (view) Author: Neil Muller (Neil Muller) Date: 2010-03-25 14:40
It looks like this issue was missed in the recent ElementTree update.

Attached is an updated diff for py3k.
msg101703 - (view) Author: Neil Muller (Neil Muller) Date: 2010-03-25 14:41
Similiarly updated patch against current trunk
msg111053 - (view) Author: Neil Muller (Neil Muller) Date: 2010-07-21 13:27
The bug is still present in py3k trunk, the py3k patch still applies, and, as the bug has celebrated it's first birthday, all evidence suggests no-one else cares.
msg113348 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-08-08 23:10
Thanks Neil.
Pushed with r83864.
History
Date User Action Args
2010-08-08 23:10:05floxsetstatus: open -> closed
resolution: fixed
messages: + msg113348

stage: patch review -> resolved
2010-07-31 17:03:28floxsetstatus: languishing -> open
assignee: flox
nosy: effbot, hodgestar, Neil Muller, jerith, russell, flox
components: + XML
stage: patch review
2010-07-21 13:27:43Neil Mullersetstatus: open -> languishing

messages: + msg111053
versions: + Python 3.2
2010-03-25 14:41:34Neil Mullersetfiles: + ElementInclude.diff

messages: + msg101703
2010-03-25 14:40:03Neil Mullersetfiles: + ElementInclude_py3k.diff
nosy: + flox
messages: + msg101702

2009-06-08 05:08:42jerithsetnosy: + jerith
2009-06-07 20:17:15Neil Mullersetfiles: + ElementInclude_py3k.diff

messages: + msg89054
2009-06-07 15:33:07russellsetnosy: + russell
2009-06-07 14:21:43Neil Mullercreate